%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Library for calling real mode BIOS routines under Linux
Name:		lrmi
Version:	0.10
Release:	%mkrel 17
License:	MIT
Group:		System/Libraries
URL:		http://sourceforge.net/projects/lrmi/
Source0:	http://prdownloads.sourceforge.net/lrmi/%{name}-%{version}.tar.bz2
Patch0:		lrmi-0.10-makefile.patch
Patch1:		lrmi-no_strip.diff
Patch2:		lrmi-build_fix.diff
Patch3:		lrmi-shared_vbetest_fix.diff
ExclusiveArch:	%ix86

%description
LRMI is a library for calling real mode BIOS routines under Linux.

%package -n	%{libname}
Summary:	Library for calling real mode BIOS routines under Linux
Group:		System/Libraries

%description -n	%{libname}
LRMI is a library for calling real mode BIOS routines under Linux.

%package -n	%{devname}
Summary:	Library for calling real mode BIOS routines under Linux
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}lrmi0-devel < 0.10-16

%description -n	%{devname}
LRMI is a library for calling real mode BIOS routines under Linux.

%package	tools
Summary:	Library for calling real mode BIOS routines under Linux
Group:		System/Configuration
%description	tools
LRMI is a library for calling real mode BIOS routines under Linux.

%prep

%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
make CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_libdir} %{buildroot}%{_includedir}

%makeinstall LIBDIR=%{buildroot}%{_libdir} INCDIR=%{buildroot}%{_includedir}
install -D vbetest %{buildroot}%{_bindir}/vbetest

%files tools
%doc README
%{_bindir}/*

%files -n %{libname}
%{_libdir}/liblrmi.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/liblrmi.so
%{_includedir}/lrmi.h


%changelog
* Sat Mar 05 2016 umeabot <umeabot> 0.10-17.mga6
+ Revision: 985993
- Mageia 6 Mass Rebuild

* Tue Aug 20 2013 wally <wally> 0.10-16.mga5
+ Revision: 468451
- drop major from devel pkg name

* Wed Jan 23 2013 fwang <fwang> 0.10-15.mga3
+ Revision: 391283
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 0.10-14.mga3
+ Revision: 359017
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 17 2011 ahmad <ahmad> 0.10-13.mga1
+ Revision: 52839
- drop old/unneeded scriptlets
- imported package lrmi


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.10-12mdv2011.0
+ Revision: 606420
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.10-11mdv2010.1
+ Revision: 521148
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.10-10mdv2010.0
+ Revision: 426005
- rebuild

* Tue Apr 07 2009 Funda Wang <fwang@mandriva.org> 0.10-9mdv2009.1
+ Revision: 364628
- rebuild

* Sun Sep 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.10-9mdv2009.0
+ Revision: 284725
- rebuild
- fix build

  + Pascal Terjan <pterjan@mandriva.org>
    - Move the tool to the -tool subpackage which was empty

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.10-6mdv2008.1
+ Revision: 170968
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.10-5mdv2008.1
+ Revision: 152869
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 0.10-3mdv2007.1
+ Revision: 146121
- added P1 to prevent borky strip in the install
- bunzip patches

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - Import lrmi

* Wed Apr 05 2006 Götz Waschk <waschk@mandriva.org> 0.10-2mdk
- this is for x86 only

* Tue Apr 04 2006 Götz Waschk <waschk@mandriva.org> 0.10-1mdk
- initial package

